[ANN] luaposix 35.0 released

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[ANN] luaposix 35.0 released

Gary V. Vaughan
A library binding various POSIX APIs. POSIX is the IEEE Portable Operating System Interface standard. luaposix is based on lposix.

I am happy to announce release 35.0 of luaposix.

If you have moved to the new low-level APIs, and don't rely on the Lua backwards compatibility layer and convenience functions, you can safely omit those dependencies and use the C layer only.

luaposix's home page is at https://github.com/luaposix/luaposix/, with documentation at https://luaposix.github.io/luaposix.

 ## Noteworthy changes in release 35.0 (2020-07-06) [stable]

### Incompatible Changes

  - Internally, we use our own bitwise operation wrapper functions
    rather than bit32 where possible.  This means bitwise operations
    when running under Lua 5.3+ work on 64bit integers.

### Bugs Fixed

  - `posix.deprecated.getrlimit` and `posix.deprecated.setrlimit` pass
    tests again.

### New Features

  - Initial support for Lua 5.4.                  
                                                                   
                                                                           
Install it with LuaRocks, using:

    luarocks install luaposix 35.0